=== debian/changelog ===
musescore-sftools (20180222-2) unstable; urgency=low

  * Document likely renaming of the binary package upcoming
  * Add patch to allow SF3 building in a reproducible manner
  * Provide debian/upstream/metadata as prompted by lintian
  * Update patches and forward them upstream as possible

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 15 Mar 2018 01:22:48 +0100

musescore-sftools (20180222-1) unstable; urgency=high

  * Initial Release

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 05 Mar 2018 02:12:16 +0100
