## musescore-sftools 20201011

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,25 @@
 #=============================================================================
-#  MuseScore
-#  Music Composition & Notation
-#  $Id:$
+#  MuseScore sftools
 #
 #  Copyright (C) 2011-2014 Werner Schweer
 #
-#  This program is free software; you can redistribute it and/or modify
-#  it under the terms of the GNU General Public License version 2
-#  as published by the Free Software Foundation and appearing in
-#  the file LICENSE.GPL
+#  This work is free software; you can redistribute it and/or
+#  modify it under the terms of the GNU Library General Public
+#  License as published by the Free Software Foundation; either
+#  version 2 of the License, or (at your option) any later version.
+#
+#  In addition, as a special exception, licensor gives permission to
+#  link the code of this work with the OpenSSL Library (or with modified
+#  versions of OpenSSL that use the same license as OpenSSL), and
+#  distribute linked combinations including the two. You must obey the
+#  GNU General Public License in all respects for all of the code used
+#  other than OpenSSL. If you modify this file, you may extend this
+#  exception to your version of the file, but you are not obligated to
+#  do so. If you do not wish to do so, delete this exception statement
+#  from your version. (This exception is necessary should this work be
+#  included in a GPL-licenced work.)
+#
+#  See COPYING.LIB for the licence text and disclaimer of warranty.
 #=============================================================================
 
 project(sf3convert)
@@ -82,7 +93,6 @@
        message("libvorbis not found\n")
    endif (VORBIS_INCDIR)
 
-
    ##
    ## libogg
    ##
