=== debian/changelog ===
musescore-sftools (20201011-2) unstable; urgency=high

  * Bump Policy while here
  * Apply cmake-FTBFS-fixing suggestion (Closes: #1113305)

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 04 Oct 2025 18:14:05 +0200

musescore-sftools (20201011-1) unstable; urgency=medium

  * New upstream release
    - more permissive licence (LGPLv2+ with OpenSSL exception)
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Bump Policy, add R³:no, remove buster’s -Wl,--as-needed
  * Explicitly B-D on an implementation of pkg-config so libogg and
    libvorbis can be detected (Closes: #1020058)
  * Update lintian overrides
  * Unclutter log (-Wno-deprecated-declarations, these are upstream’s
    job to fix)

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 18 Sep 2022 21:28:01 +0200
