=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Priority: optional
 Maintainer: Thorsten Glaser <tg@mirbsd.de>
 Homepage: https://github.com/musescore/sftools
-Build-Depends: cmake, debhelper (>= 11~), libsndfile1-dev, qtbase5-dev (>= 5.6)
-Standards-Version: 4.1.3
+Build-Depends: cmake, debhelper-compat (= 13),
+ libsndfile1-dev, pkgconf, qtbase5-dev (>= 5.6)
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
 VCS-git: https://github.com/mirabilos/sftools
 VCS-Browser: https://github.com/mirabilos/sftools
